*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background:url(./img/2206_w026_n002_2028b_p1_2028.jpg);
    background-repeat: no-repeat;
    background-size: cover;
  
}

img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 30px;
}


.instrucoes {
    color: white;
    margin-bottom: 30px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.instrucoes-lista {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: 10px;
    justify-content: center;

}

.instrucoes-lista li {
    list-style: upper-roman;
    text-align: left;
}


.botoes {
    margin: 10px;
    display: flex;
    justify-content: center;

}

button {
    width: 150px;
    height: 70px;
    border-radius: 30px;
    font-size: 20px;
    font-family: 'Poppins', sans-serif;
    font-weight: bolder;
}
.btn{
    margin: 10px;
    box-shadow: 10px -4px 42px -10px rgba(255, 255, 255, 0.75);
}

.hanoi {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content:center;
    height: 300px;
    width: 100%;
    border: solid 1px rgb(238, 15, 171);
    box-shadow: inset 0 0 1em rgb(255, 255, 255), 0 0 1em rgb(255, 0, 242);
    background-color: rgba(184, 12, 169, 0.322);
    pointer-events: visible;
}


.torre {
    width: 1%;
    height: 65%;
    background-color:#000000;
    border-radius: 10px 10px 0 0;
    margin: 100px;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;

}

.torre4 {
    opacity: 0%;
    box-shadow: none;
    display: block;
    position: absolute;
    left:100px;
    
}



.disco {
    height: 35px;
    border-radius: 30px;
    box-shadow: inset 0 0 1em rgb(17, 27, 61), 0 0 1em rgb(245, 245, 245);
    opacity: 90%;
}

.disco-base {
    width: 200px;
    opacity: 100%;
    box-shadow: none;
    display: block;
    position: absolute;

}


.d1 {
    background-color: rgb(119, 7, 68);
    width: 180px;

}

.d2 {
    background-color: rgb(24, 4, 95);
    width: 160px;
}

.d3 {
    background-color: rgb(170, 20, 150);
    width: 140px;
}

.d4 {
    background-color: rgb(27, 15, 196);
    width: 120px;
}

.d5 {
    background-color: rgb(236, 10, 199);
    width: 100px;

}

.ganhou{
    display: flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    visibility: hidden;
    position: fixed;
    opacity: 100%;
    top: 0;
    bottom: 0;
    z-index: 5;
    right: 0;
    left: 0;
    font-size: 50px;
    -webkit-transition: all 0.5s 0.5s ease-in-out;
    transition: all 0s 0s ease-in-out;
    text-transform: uppercase;
    font-family: 'Oswald', sans-serif;
    color: white;
    text-align: center;
    font-weight: bold;
    background: linear-gradient(rgba(36, 37, 37, 0.5),
            rgba(155, 50, 158, 0.37)),
        url(./img/fundo-game.png);
   
}

.buttonWinner{
    opacity: none;
    padding: 20px 30px;
    border-radius: 20px;
    border: 2px solid white;
    font-size: 20px;
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase;
    background-color: red;
    color: white;
}

@media (max-width:650px) {
    body{
        width: 100vw;
        height: 100vh;
        
    }
    img{
        margin-top: 20px;
        width: 80vw;
    }
    header{
        width: 100vw;

    }
    main{
        width: 100vw;
    }
    .instrucoes{
        padding: 10px;
        margin-bottom: 0;
    }
    .botoes{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        margin: 0px;
     
 
    }
    .btn{
        width: 80vw;
    }
    .hanoi{
        margin-top: 30px;
        height:200px;
        background:url(./img/2206_w026_n002_2028b_p1_2028.jpg);
        background-repeat: no-repeat;
        background-size: cover;
    }
    .torre {
        margin:50px;

    
    }
    .disco{
        height: 25px;
    }
    .disco-base {
        width: 100px;
    }
    
   
    .d1 {
        background-color: rgb(119, 7, 68);
        width: 90px;
    
    }
    
    .d2 {
        background-color: rgb(24, 4, 95);
        width: 80px;
    }
    
    .d3 {
        background-color: rgb(170, 20, 150);
        width: 70px;
    }
    
    .d4 {
        background-color: rgb(27, 15, 196);
        width: 60px;
    }
    
    .d5 {
        background-color: rgb(236, 10, 199);
        width: 50px;
    
    }
    .ganhou{
        padding: 10px;
    }
}